Nini Library API Reference - http://nini.sourceforge.net/ |

# ConfigSourceBase Methods

The methods of the ConfigSourceBase class are listed below. For a complete list of ConfigSourceBase class members, see the ConfigSourceBase Members topic.

#### Public Instance Methods

AddConfig | Adds a new IConfig.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
ExpandKeyValues | Expands all key values.
GetExpanded | Returns the expanded string value. This method does not replace the other key values in the IConfigSource.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Merge | Merges all IConfigs from another IConfigSource into the Configs collection.
Reload | Reloads all configuration values.
ReplaceKeyValues | This method is deprecated. Use ExpandKeyValues from now on.
Save | Saves all configuration values.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnReloaded |
OnSaved |

#### See Also

ConfigSourceBase Class | Nini.Config Namespace